Page MenuHomePhabricator

Specialist support for Content Translation moving from beta to regular preferences in Catalan Wikipedia
Closed, ResolvedPublic

Description

Content translation is frequently used in Catalan Wikipedia to create content, but it still requires users to enable it in their beta preferences. We plan to move it to the regular preferences and provide it enabled by default.

We want to communicate our plans to the community, share our planned improvements and get feedback that helps us to identify the key blockers for the change. A preliminary conversation started a few years ago (T102107) where some key blockers were surfaced and fixed since then.

Help needed form Community Specialists

  • Communication plan review. Provide feedback about what, where and when to communicate.

Time frame
We were aiming to start this process (i.e., communicate to the affected wiki) during March 2019. We were also aiming to complete the whole process during March 2019, but metric collection (T215397, T215813, T209868) may add some delays, and we want to make sure there is enough time for feedback. So we can be flexible about the completion of the process.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2019, 1:43 PM
Elitre added a subscriber: Elitre.Jan 25 2019, 5:50 PM

Thanks for filing this! I think that out of the 4 canonical questions we ask, the main answer we're missing is the one about deadlines - possibly because we don't have firm ones yet, but pasting below so that we remember to add more at a later stage. (We'll triage and discuss more at All Hands)

  • What is the problem?
  • How can we help you?
  • What does success look like?
  • What is your deadline?
Elitre claimed this task.Feb 21 2019, 5:49 PM

(This is until we officially decide a way forward, to flag that myself and others are already helping there and I need to assign at some point or take some other action.)

Pginer-WMF updated the task description. (Show Details)Feb 26 2019, 10:46 AM

Ok, the current deal is that the Language team does this on their own with us watching closely and intervening as needed.

Elitre added a comment.EditedMar 25 2019, 9:25 AM

Eh, the blackout may not be helping with this to move further. Sorry, I failed in flagging this risk.

I'll stay around in case the team needs further advise on how to proceed with this specific project.

Elitre triaged this task as Low priority.Apr 13 2019, 11:12 AM

(Since I am not hearing further needs for our involvement.)

Elitre added a comment.May 3 2019, 2:09 PM

@Pginer-WMF Any action items left for me here?

Keegan added a subscriber: Keegan.May 3 2019, 5:59 PM

@Pginer-WMF Any action items left for me here?

Not right now, but thanks for pinging.

I just pinged the editors that participated in the conversation to check if the effect of the latest improvements in reference support has been noticeable. Based on the feedback we can organize next steps about both improving reference support and exposing the tool more prominently.

I sent a follow-up message about the migration of the beta setting to preferences (T223896).

Elitre closed this task as Resolved.Jun 26 2019, 10:04 AM

I think most of the work is done. Please ping if you need anything else!